#ifndef SrvErrorCode_H
#define SrvErrorCode_H

#include <syslog.h>
#include <OpenSOAP/ErrorCode.h>

#define ERR_ALERT	LOG_ALERT		//action must be taken immediately
#define ERR_CRIT	LOG_CRIT		//critical conditions
#define ERR_ERROR	LOG_ERR			//error conditions
#define ERR_WARN	LOG_WARNING		//warning conditions
#define ERR_NOTICE	LOG_NOTICE		//normal,but significant, condition
#define ERR_INFO	LOG_INFO		//infomational message
#define ERR_DEBUG	LOG_DEBUG		//debug message

#define APLOG_ALERT		LOG_ALERT		//action must be taken immediately
#define APLOG_CRIT		LOG_CRIT		//critical conditions
#define APLOG_ERROR		LOG_ERR			//error conditions
#define APLOG_WARN		LOG_WARNING		//warning conditions
#define APLOG_NOTICE	LOG_NOTICE		//normal,but significant, condition
#define APLOG_INFO		LOG_INFO		//infomational message
#define APLOG_DEBUG		LOG_DEBUG		//debug message
#define APLOG_DEBUG1	(LOG_DEBUG+1)	//debug message
#define APLOG_DEBUG2	(LOG_DEBUG+2)	//debug message
#define APLOG_DEBUG3	(LOG_DEBUG+3)	//debug message
#define APLOG_DEBUG4	(LOG_DEBUG+4)	//debug message
#define APLOG_DEBUG5	(LOG_DEBUG+5)	//debug message
#define APLOG_DEBUG6	(LOG_DEBUG+6)	//debug message
#define APLOG_DEBUG7	(LOG_DEBUG+7)	//debug message
#define APLOG_DEBUG8	(LOG_DEBUG+8)	//debug message
#define APLOG_DEBUG9	(LOG_DEBUG+9)	//debug message


//#define OPENSOAP_USERDEFINE_ERROR       (0x10000000L)

//For Thread
#define OPENSOAPSERVER_THREAD_ERROR						(0x01000100L)
#define OPENSOAPSERVER_THREAD_CREATE_ERROR				(0x01000101L)
#define OPENSOAPSERVER_THREAD_EXIT_ERROR				(0x01000102L)
#define OPENSOAPSERVER_THREAD_LOCK_ERROR				(0x01000103L)
#define OPENSOAPSERVER_THREAD_UNLOCK_ERROR				(0x01000104L)

//For Network
#define OPENSOAPSERVER_NETWORK_ERROR					(0x01000200L)
#define OPENSOAPSERVER_NETWORK_SOCKET_CREATE_ERROR		(0x01000201L)
#define OPENSOAPSERVER_NETWORK_SOCKET_OPEN_ERROR		(0x01000202L)
#define OPENSOAPSERVER_NETWORK_SOCKET_CLOSE_ERROR		(0x01000203L)
#define OPENSOAPSERVER_NETWORK_SOCKET_WRITE_ERROR		(0x01000204L)
#define OPENSOAPSERVER_NETWORK_SOCKET_READ_ERROR		(0x01000205L)
#define OPENSOAPSERVER_NETWORK_SOCKET_SEQUENCE_ERROR	(0x01000206L)
#define OPENSOAPSERVER_NETWORK_SOCKET_BIND_ERROR		(0x01000207L)
#define OPENSOAPSERVER_NETWORK_SOCKET_ACCEPT_ERROR		(0x01000208L)
#define OPENSOAPSERVER_NETWORK_SOCKET_LISTEN_ERROR		(0x01000209L)
#define OPENSOAPSERVER_NETWORK_SOCKET_CONNECT_ERROR		(0x01000210L)
#define OPENSOAPSERVER_NETWORK_SOCKET_SELECT_ERROR		(0x01000211L)

//For Shared Semaphor
#define OPENSOAPSERVER_SEM_ERROR						(0x01000400L)
#define OPENSOAPSERVER_SEM_CTL_ERROR					(0x01000401L)
#define OPENSOAPSERVER_SEM_GET_ERROR					(0x01000402L)
#define OPENSOAPSERVER_SEM_OP_ERROR						(0x01000403L)

//For Shared Memory
#define OPENSOAPSERVER_SHM_ERROR						(0x01000800L)
#define OPENSOAPSERVER_SHM_CTL_ERROR					(0x01000801L)
#define OPENSOAPSERVER_SHM_GET_ERROR					(0x01000802L)
#define OPENSOAPSERVER_SHM_AT_ERROR						(0x01000803L)
#define OPENSOAPSERVER_SHM_DT_ERROR						(0x01000804L)

//For Configuration
#define OPENSOAPSERVER_CONF_ERROR						(0x01001000L)
#define OPENSOAPSERVER_SERVERCONF_ERROR					(0x01001001L)
#define OPENSOAPSERVER_SSML_ERROR						(0x01001002L)

//For ETC
#define OPENSOAPSERVER_UNKNOWN_ERROR					(0x01800000L)
#define OPENSOAPSERVER_EXEC_ERROR						(0x01800001L)
#define OPENSOAPSERVER_FORK_ERROR						(0x01800002L)
#define OPENSOAPSERVER_RUNTIME_ERROR					(0x01800003L)
#define OPENSOAPSERVER_LOGIC_ERROR						(0x01800004L)
#define OPENSOAPSERVER_TIMEOUT_ERROR					(0x01800005L)


#endif //SrvErrorCode_H
