/* -*- mode: c++; -*-
 *-----------------------------------------------------------------------------
 * $RCSfile: XmlQuery.h,v $
 *
 * See Copyright for the status of this software.
 *
 * The OpenSOAP Project
 * http://opensoap.jp/
 *-----------------------------------------------------------------------------
 */

#ifndef XMLQuery_H
#define XMLQuery_H

#include <iostream>
#include <string>
#include <vector>
#include <libxml/tree.h>

#include <OpenSOAP/Defines.h>

namespace OpenSOAP {

    //analyze DOM
    class OPENSOAP_CLASS XmlQuery {
    public:
        XmlQuery(const std::string& query);
        ~XmlQuery();
    
        //l̎擾
        //擾łtrueԂ
        //RootQuery  RootNoden
        //int getValue(xmlDocPtr& doc, xmlNodePtr node);
        int getValue(xmlDocPtr& doc, xmlNodePtr node, 
                     std::vector<std::string>& values);

        //l̊i[ꏊ
        //ꍇL
        //can't use object in Win32 DLL interface, so declare as pointer.
        //std::vector<std::string> value;
        //std::vector<std::string>* values_;

        bool isMulti() const;
        
        void spy() const;
        
    protected:
        
        class OPENSOAP_CLASS DataSet {
        public:
            DataSet() : value_(NULL) {}
            DataSet(const DataSet& ds) : value_(NULL) {
                setName(ds.name);
                if (ds.value_) { setValue(*(ds.value_)); }
            } 
            
            ~DataSet() { if (value_) { delete value_; } }
            
            // get method
            const std::string& getName() const { return name; }
            //const std::string* getValue() const { return value; }
            const std::string getValue() const { 
                return isNullValue() ? "" : *value_; }
            
            // set method
            void setName(const std::string& aName) { name = aName; }
            //l̐ݒ(lƂ)
            //ŏIIȎ擾ړIlXmlQuery::value̗vfƂ
            //  ݒ肳
            void setValue(const std::string& aValue);

            //l̏
            void clearValue() {
                if (value_) {
                    delete value_;
                    value_ = NULL;
                }
            }
            //lNULLǂB
            //NULLłȂΏlBNULLȂ擾ړIlƂďB
            bool isNullValue() const { return NULL == value_ ? true : false; }
            
            void spy() const {
                std::cerr << " name=[" << name << "]" << std::endl;
                std::cerr << " value_=[" 
                          << (NULL == value_ ? "<null>" : *value_) 
                          << "]" << std::endl;
            }

        protected:
            std::string name;
            std::string* value_; //NULLłȂΏlBNULLȂ擾ړIl
        };
        
        //qCX^X|C^
        XmlQuery* next_;
        
        //std::string nodeName_; //(K{)
        DataSet node_;
        
        //̃m[h̗vflړIǂB
        //vf͕K{ł邽߁AvfL肩lݒ(NULL)Ƃ
        //ł͖ړIlǂfłȂ߁B
        bool isTarget_; 
        
        //̒lvĂ邩ǂB(??A?͂P̂)
        //ĂȂꍇ͏߂ɌʂԂB
        bool isMulti_;

        //
        //can't use object in Win32 DLL interface, so declare as pointer.
        //std::vector<DataSet> attributes_;
        std::vector<DataSet>* attributes_;
        
        void addName(const std::string& nameToken);
        void addAttributes(const std::string& attrToken);
        
        std::string::size_type findDelmitPos(const std::string& s,
                                             std::string::size_type beginPos,
                                             const std::string del);
    };

} // end of namespace OpenSOAP


#endif /* XMLQuery_H */
